Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.directwebremoting.guice
Enum ParamName

    java.lang.Object
      java.lang.Enum<ParamName>
          org.directwebremoting.guice.ParamName

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParamName>

    public enum ParamName

extends java.lang.Enum<ParamName>

Parameters used to configure DWR.

Author:
  Tim Peierls [tim at peierls dot net]

Enum Constant Summary
`ACTIVE_REVERSE_AJAX_ENABLED`
`ALLOW_GET_FOR_SAFARI`
`ALLOW_SCRIPT_TAG_REMOTING`
`CLASSES`
`CROSS_DOMAIN_SESSION_SECURITY`
`DEBUG`
`DISCONNECTED_TIME`
`IGNORE_LAST_MODIFIED`
`MAX_CALL_COUNT`
`MAX_POLL_HITS_PER_SECOND`
`MAX_WAIT_AFTER_WRITE`
`MAX_WAITING_THREADS`
`NORMALIZE_INCLUDES_QUERY_STRING`
`OVERRIDE_PATH`
`POLL_AND_COMET_ENABLED`
`POST_STREAM_WAIT_TIME`
`PRE_STREAM_WAIT_TIME`
`SCRIPT_COMPRESSED`
`SCRIPT_SESSION_TIMEOUT`
`SESSION_COOKIE_NAME`
`WELCOME_FILES`

Method Summary
`java.lang.String` | `getName()`
`static ParamName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParamName[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALLOW_GET_FOR_SAFARI

    public static final ParamName ALLOW_GET_FOR_SAFARI

### CROSS_DOMAIN_SESSION_SECURITY

    public static final ParamName CROSS_DOMAIN_SESSION_SECURITY

### ALLOW_SCRIPT_TAG_REMOTING

    public static final ParamName ALLOW_SCRIPT_TAG_REMOTING

### DEBUG

    public static final ParamName DEBUG

### SCRIPT_SESSION_TIMEOUT

    public static final ParamName SCRIPT_SESSION_TIMEOUT

### MAX_CALL_COUNT

    public static final ParamName MAX_CALL_COUNT

### ACTIVE_REVERSE_AJAX_ENABLED

    public static final ParamName ACTIVE_REVERSE_AJAX_ENABLED

### MAX_WAIT_AFTER_WRITE

    public static final ParamName MAX_WAIT_AFTER_WRITE

### DISCONNECTED_TIME

    public static final ParamName DISCONNECTED_TIME

### POLL_AND_COMET_ENABLED

    public static final ParamName POLL_AND_COMET_ENABLED

### MAX_WAITING_THREADS

    public static final ParamName MAX_WAITING_THREADS

### MAX_POLL_HITS_PER_SECOND

    public static final ParamName MAX_POLL_HITS_PER_SECOND

### PRE_STREAM_WAIT_TIME

    public static final ParamName PRE_STREAM_WAIT_TIME

### POST_STREAM_WAIT_TIME

    public static final ParamName POST_STREAM_WAIT_TIME

### IGNORE_LAST_MODIFIED

    public static final ParamName IGNORE_LAST_MODIFIED

### SCRIPT_COMPRESSED

    public static final ParamName SCRIPT_COMPRESSED

### SESSION_COOKIE_NAME

    public static final ParamName SESSION_COOKIE_NAME

### WELCOME_FILES

    public static final ParamName WELCOME_FILES

### NORMALIZE_INCLUDES_QUERY_STRING

    public static final ParamName NORMALIZE_INCLUDES_QUERY_STRING

### OVERRIDE_PATH

    public static final ParamName OVERRIDE_PATH

### CLASSES

    public static final ParamName CLASSES

Method Detail

### values

    public static final ParamName[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ParamName c : ParamName.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ParamName valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD